#
# spec file for package postgresql-pl (Version 8.4.4)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           postgresql-pl
BuildRequires:  bison flex gettext-devel krb5-devel libxml2-devel libxslt-devel
BuildRequires:  openldap2-devel openssl-devel pam-devel readline-devel
BuildRequires:  ncurses-devel
BuildRequires:  python-devel tcl-devel
Summary:        The PL/Tcl, PL/Perl, and PL/Python Procedural Languages for PostgreSQL
Version:        8.4.4
Release:        0.1.1
%define pg_minor_version %(echo %version | cut -f1-2 -d.)
License:        BSD3c(or similar)
Group:          Productivity/Databases/Servers
Source0:        postgresql-%version.tar.bz2
NoSource:       0
Url:            http://www.postgresql.org/
Requires:       postgresql-server = %pg_minor_version
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define pls plperl plpython tcl

%description
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, and user-defined
types and functions.

This package contains the PL/Tcl, PL/Perl, and PL/Python procedural
languages for PostgreSQL.  With these modules one can use Perl, Python,
and Tcl to write stored procedures, functions, and triggers.

PostgreSQL also offers the built-in procedural language PL/SQL which is
included in the postgresql-server package.



Authors:
--------
    Marc G. Fournier <scrappy@hub.org>
    Tom Lane <tgl@sss.pgh.pa.us>
    Vadim B. Mikheev <vadim4o@yahoo.com>
    Bruce Momjian <pgman@candle.pha.pa.us>
    Jan Wieck <JanWieck@Yahoo.com>

%package -n postgresql-plperl
License:        BSD3c(or similar)
Summary:        The PL/Tcl, PL/Perl, and  PL/Python procedural languages for PostgreSQL
Group:          Productivity/Databases/Servers
Requires:       perl
Obsoletes:      postgresql-pl
Provides:       postgresql-pl:%_libdir/postgresql/plperl.so
Requires:       postgresql-server = %pg_minor_version

%description -n postgresql-plperl
This package contains the the PL/Tcl, PL/Perl, and PL/Python procedural
languages for the back-end.  With these modules one can use Perl,
Python, and Tcl to write stored procedures, functions and triggers.

PostgreSQL also offers the builtin procedural language PL/SQL.



Authors:
--------
    Andrew Yu <andrew@CS.Berkeley.edu>
    Jolly Chen <jolly@CS.Berkeley.edu>
    Bruce Momjian <maillist@candle.pha.pa.us>
    Thomas G. Lockhart <lockhart@alumni.caltech.edu>
    Tom Lane <tgl@sss.pgh.pa.us>
    The Hermit Hacker <scrappy@hub.org>
    etc.

%package -n postgresql-plpython
License:        BSD3c(or similar)
Summary:        The PL/Python Procedural Languages for PostgreSQL
Group:          Productivity/Databases/Servers
Obsoletes:      postgresql-pl
Provides:       postgresql-pl:%_libdir/postgresql/plpython.so
Requires:       python
Requires:       postgresql-server = %pg_minor_version

%description -n postgresql-plpython
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, and user-defined
types and functions.

This package contains the PL/Python procedural language for PostgreSQL.
With this module one can use Python to write stored procedures,
functions, and triggers.

PostgreSQL also offers the built-in procedural language PL/SQL which is
included in the postgresql-server package.



Authors:
--------
    Marc G. Fournier <scrappy@hub.org>
    Tom Lane <tgl@sss.pgh.pa.us>
    Vadim B. Mikheev <vadim4o@yahoo.com>
    Bruce Momjian <pgman@candle.pha.pa.us>
    Jan Wieck <JanWieck@Yahoo.com>

%package -n postgresql-pltcl
License:        BSD3c(or similar)
Summary:        PL/Tcl Procedural Language for PostgreSQL
Group:          Productivity/Databases/Tools
Obsoletes:      postgresql-pl
Provides:       postgresql-pl:%_libdir/postgresql/pltcl.so
Requires:       tcl
Requires:       postgresql-server = %pg_minor_version

%description -n postgresql-pltcl
PostgreSQL is an advanced object-relational database management system
that supports an extended subset of the SQL standard, including
transactions, foreign keys, subqueries, triggers, and user-defined
types and functions.

This package contains the PL/Tcl procedural language for PostgreSQL. 
With thie module one can use Tcl to write stored procedures, functions,
and triggers.

PostgreSQL also offers the built-in procedural language PL/SQL which is
included in the postgresql-server package.



Authors:
--------
    Marc G. Fournier <scrappy@hub.org>
    Tom Lane <tgl@sss.pgh.pa.us>
    Vadim B. Mikheev <vadim4o@yahoo.com>
    Bruce Momjian <pgman@candle.pha.pa.us>
    Jan Wieck <JanWieck@Yahoo.com>

%prep
# The sources for the postgresql-pl package can be found
# in the postgresql source RPM.
%setup -q -n postgresql-%{version}

%build
export CFLAGS="%optflags $SP"
./configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--bindir=%_bindir \
	--includedir=%_includedir/pgsql \
	--datadir=%_datadir/postgresql \
	--mandir=%_mandir \
	--with-docdir=%_docdir \
	--disable-rpath \
	--enable-nls \
	--enable-thread-safety \
	--enable-integer-datetimes \
	--with-python \
	--with-perl \
	--with-tcl \
	--with-tclconfig=%_libdir \
	--with-openssl \
	--with-pam \
	--with-krb5 \
	--with-gssapi \
	--with-ldap \
	--with-libxml \
	--with-libxslt \
	--with-system-tzdata=/usr/share/zoneinfo
# fmgroids.h is needed for plperl
make -C src/backend ../../src/include/utils/fmgroids.h
for f in %pls; do
	make %{?jobs:-j%jobs} -C src/pl/$f all
done

%install
for f in %pls; do
	make DESTDIR=%buildroot -C src/pl/$f install
done
for pl in pltcl plperl plpython;do
%find_lang $pl-%{pg_minor_version} postgresql-$pl.lang
done

%clean
rm -rf %buildroot

%files -n postgresql-pltcl -f postgresql-pltcl.lang
%defattr(-,root,root)
%dir %_libdir/postgresql
%_libdir/postgresql/pltcl.so
%_datadir/postgresql
%_bindir/pltcl*

%files -n postgresql-plperl -f postgresql-plperl.lang
%defattr(-,root,root)
%dir %_libdir/postgresql
%_libdir/postgresql/plperl.so

%files -n postgresql-plpython -f postgresql-plpython.lang
%defattr(-,root,root)
%dir %_libdir/postgresql
%_libdir/postgresql/plpython.so

%changelog
* Wed Sep 16 2009 crrodriguez@novell.com
- use find_lang to package language files correctly
* Mon May 19 2008 schwab@suse.de
- Fix broken configure check.
* Thu Apr 10 2008 max@suse.de
- Adopt the 8.3.1 package from Peter Eisentraut's OBS project.
- New features in PostgreSQL 8.3 include:
  * Full text search is integrated into the core database system
  * Support for the SQL/XML standard, including new operators and an
    XML data type
  * Enumerated data types (ENUM)
  * Arrays of composite types
  * Universally Unique Identifier (UUID) data type
  * Add control over whether NULLs sort first or last
  * Updatable cursors
  * Server configuration parameters can now be set on a per-function
    basis
  * User-defined types can now have type modifiers
  * Automatically re-plan cached queries when table definitions
    change or statistics are updated
  * Numerous improvements in logging and statistics collection
  * Support multiple concurrent autovacuum processes, and other
    autovacuum improvements
- Add baselibs.conf
- Remove old provides/obsoletes tags for way-back package renames.
* Thu Jan 10 2008 max@suse.de
- Update to 8.2.6 to fix five security issues:
  - Index Functions Privilege Escalation: CVE-2007-6600
  - Regular Expression Denial-of-Service: CVE-2007-4772,
    CVE-2007-6067, CVE-2007-4769, #329282
  - DBLink Privilege Escalation: CVE-2007-6601, #328403
* Wed Jun  6 2007 max@suse.de
- New version: 8.2.4
- The list of changes between the 8.1 and 8.2 series is too long
  to reproduce here. It can be found under
  /usr/share/doc/packages/postgresql/HISTORY when the postgresql
  package is installed or online at http://www.postgresql.org.
- Splited the postgresql-pl package into individual packages for
  PL/Perl, PL/Python and PL/Tcl.
- Added a config file for SuSEfirewall2 (#247370).
* Thu Mar 29 2007 rguenther@suse.de
- Add bison, flex and zlib-devel BuildRequires.
* Tue Oct 17 2006 max@suse.de
- New patchlevel release: 8.1.5
- Disallow aggregate functions in "UPDATE" commands, except within
  sub-SELECTs. The behavior of such an aggregate was unpredictable,
  and in 8.1.X could cause a crash, so it has been disabled.
- Fix core dump when an untyped literal is taken as ANYARRAY.
- Fix core dump in duration logging for extended query protocol when
  a "COMMIT" or "ROLLBACK" is executed.
- Fix mishandling of AFTER triggers when query contains a SQL function
  returning multiple rows.
- Fix "ALTER TABLE ... TYPE" to recheck NOT NULL for USING clause.
- Fix string_to_array() to handle overlapping matches for the
  separator string.
- Fix to_timestamp() for AM/PM formats.
- Fix autovacuum's calculation that decides whether "ANALYZE" is
  needed.
- Fix corner cases in pattern matching for psql's \d commands.
- Fix index-corrupting bugs in /contrib/ltree.
- Numerous robustness fixes in ecpg.
- Fix backslash escaping in /contrib/dbmirror.
- Minor fixes in /contrib/dblink and /contrib/tsearch2.
- Efficiency improvements in hash tables and bitmap index scans.
* Wed May 24 2006 max@suse.de
- Update to 8.1.4 to fix SQL injection vulnerabilities
  (bug #177931, CVE-2006-2313, CVE-2006-2314).
- Added a new postgresql-SECURITY-NOTICE file with an FAQ that
  explains the issues.
* Mon Feb 13 2006 max@suse.de
- New version: 8.1.3 (#150376).
- Relaxed dependencies between subpackages to simplify future
  updates.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 max@suse.de
- Moved from logrotate to PostgreSQL's own log rotation facility.
- Log files are now located under /var/lib/pgsql/data/pg_log .
- Improved error reporting on test suite failures.
* Thu Dec 22 2005 max@suse.de
- New version: 8.1.1
* Fri Jun 17 2005 max@suse.de
- Removed bogus %%patch3
* Thu Jun  2 2005 max@suse.de
- Added postgresql-CAN-2005-1409-1410-fix.sh for fixing existing
  installations, and referred to it in the SECURITY-NOTICE.
* Tue May 17 2005 max@suse.de
- Added postgresql-SECURITY-NOTICE to describe the manual actions
  that are needed to apply the bugfixes from 8.0.3 to existing
  installations.
* Tue May 10 2005 max@suse.de
- New patch release: 8.0.3
- Fixes bug #82869, CAN-2005-1410, and CAN-2005-1409
- Obsoletes postgresql-CAN-2005-0247.patch
* Mon Apr 11 2005 max@suse.de
- New patch release: 8.0.2
* Mon Apr  4 2005 uli@suse.de
- hardwire thread safety to yes (test may hang QEMU)
* Fri Apr  1 2005 uli@suse.de
- ignore regressions on ARM
* Wed Mar 16 2005 max@suse.de
- Prevent the wrapper libs from ending up in the provides list.
* Mon Mar 14 2005 max@suse.de
- Added postgresql-CAN-2005-0247.patch to fix bug #65692.
* Fri Mar 11 2005 max@suse.de
- Added some wrapper libs so that old postmaster binaries, back
  to at least 8.1/SLES8 can still be started.
- Extended the init script to use the wrapper libs when needed.
- Setting a senseful umask when creating the postmaster backups
  in %%pre.
* Mon Feb  7 2005 max@suse.de
- New patch release: 8.0.1
- Fixes a vulnerability in the LOAD command.
* Wed Jan 19 2005 max@suse.de
- Update to the final 8.0.0 release.
* Wed Dec 22 2004 max@suse.de
- New version: 8.0.0rc2
* Fri Dec 10 2004 max@suse.de
- New version: 8.0.0rc1
- Recoded README.SuSE.de to UTF-8.
* Fri Dec  3 2004 max@suse.de
- New version: 8.0.0beta5
* Thu Nov 18 2004 ro@suse.de
- use kerberos-devel-packages
* Mon Sep  6 2004 max@suse.de
- Created a separate spec file for the postgresql-pl subpackage.
* Fri Aug 20 2004 max@suse.de
- New version: 7.4.5.
* Thu Jul 15 2004 max@suse.de
- New version: 7.4.3.
* Mon May 24 2004 max@suse.de
- Changed dependency of -devel from the main package to -libs
  (Bug #40922).
* Mon Apr  5 2004 max@suse.de
- Added postgresql-regression.patch to prevent test failures
  during summertime/wintertime changes.
* Thu Mar 11 2004 max@suse.de
- New patch release: 7.4.2
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Mon Jan 12 2004 max@suse.de
- New version: 7.4.1
- Write timestamps to /var/log/postgresql by default.
* Thu Dec 18 2003 max@suse.de
- Package the backend headers as well (make install-all-headers),
  because they are needed for server-side modules written in C.
* Tue Nov 18 2003 max@suse.de
- Install pg_config_manual.h and port.h, because they are needed
  by c.h (postgresql-include.patch).
* Mon Nov 17 2003 max@suse.de
- New version: 7.4. For details see
  http://www.postgresql.org/docs/7.4/static/release.html, or
  /usr/share/doc/packages/postgresql/html/release.html
- Overhauled and simplified the spec file.
- Building with Kerberos-Support.
- Building thread-safe client libraries.
- Architecture-dependent tweaks for the testsuite are not needed
  anymore.
- Better detection for embedded Python build options.
* Mon Oct 20 2003 schwab@suse.de
- Fix last change.
* Sat Oct 18 2003 adrian@suse.de
- ignore minor mis-calculation on mips
- build as user
* Tue Sep 23 2003 max@suse.de
- Fixed version detection in the pre script of the server package.
  (#31570)
- Ignore errors from stop_on_removal (#31607).
* Mon Sep 15 2003 max@suse.de
- Activated the patch, that fixes dbf2pg (#27427). The patch was
  added to the package before, but accidentally didn't get applied.
- Improved handling of old versions of the backend (#27114).
- Stopping the server before uninstallation and restarting it
  after update (#29038).
* Fri Aug 29 2003 mcihar@suse.cz
- python bindings require same python version as it was built with
* Thu Aug 14 2003 max@suse.de
- Added ServiceRestart to sysconfig template.
* Thu Aug 14 2003 ro@suse.de
- fixed chown usage in init-script
* Mon Aug  4 2003 max@suse.de
- New version: 7.3.4.
- Adopted postgresql-multilib.patch from the official PostgreSQL
  RPMs. This obsoletes postgresql-lib64.patch.
- Use test-and-set locks for x86_64 instead of slow semaphores.
  (postgresql-x86_64.patch, Bug #27308)
- make use of %%jobs for parallel builds.
- Fix ownership of /etc/logrotate.d/postgresql (Bug #28431).
- Changed the default locale for the server to "C" to avoid a hard
  dependency to glibc-locale (bug #28338).
- Enabled charset conversion for dbf2pg (Bug #27427).
* Wed Jul 16 2003 meissner@suse.de
- fix hanging builds by another rework of the ppc64
  locking. Apparently we need to do exact stcwx. ; bne ; isync
  sequences to stay correct.
* Tue Jun 24 2003 meissner@suse.de
- Fixed the ppc/ppc64 locking, isync was at the wrong
  position. Replaced full sync by lwsync. slock_ts can
  be 32bit on ppc64 too, we just use lwarx/stwcx which
  handle 32bit components.
* Tue Jun  3 2003 max@suse.de
- New version: 7.3.3.
- Remove unpackaged files.
- pg_hba.conf: only allow local connections from the same user
  by default.
* Fri Mar 14 2003 max@suse.de
- Fixed generation of sql files in contrib, and really install the
  contrib stuff instead of just copying over the source tree
  (Bug #25323, postgresql-contrib.patch).
- Fixed the file-list of the server package.
* Wed Mar 12 2003 max@suse.de
- Fixed a typo in the init script (Bug #25115).
* Thu Mar  6 2003 max@suse.de
- Add support for LSB compatible exit codes for start and stop
  to pg_ctl (postgresql-lsb.patch).
- Use pg_ctl instead of startproc/killproc in init script, because
  it waits until the server is completely fired up or shut down.
  (Bug #24395)
- Removed the libpq.so.2.0 link from the package, because it got
  removed by ldconfig after installation anyways (Bug #24557).
* Tue Feb 25 2003 max@suse.de
- Mark manpages as documentation.
- Create the backup directory during install.
* Mon Feb 24 2003 max@suse.de
- Make a backup of the server binaries during update, and use the
  old server as long as the data files are still in the old format.
* Thu Feb  6 2003 max@suse.de
- New patch release 7.3.2 which fixes several serious bugs.
  See HISTORY for details.
* Tue Jan 28 2003 max@suse.de
- Added metadata for the sysconfig editor.
* Mon Jan 20 2003 max@suse.de
- New version: 7.3.1
- Removed old update scripts, because they don't work anymore.
* Thu Jan 16 2003 bg@suse.de
- Changed the expected test results for hppa to the correct files
* Fri Nov 29 2002 max@suse.de
- New version 7.3.
- Compiling with PAM support.
- Client libraries (perl, tcl, odbc, pgeasy, pq++) have been
  taken out of the PostgreSQL core distribution and will be
  built as separate packages in the future.
- The plperl subpackage has been renamed to pl, and now contains
  PL/Perl, PL/Python, and PL/Tcl.
* Fri Sep 13 2002 max@suse.de
- Added circle_poly-overrun.patch to fix a couple of
  buffer overruns.
* Thu Sep 12 2002 max@suse.de
- Corrected symlink /usr/lib/libpq.so.2.0 [#19490].
- Fixed ownership of /var/lib/pgsql [#19523].
* Fri Sep  6 2002 max@suse.de
- Recovered time stamps of source files and patches.
* Mon Sep  2 2002 max@suse.de
- Updated to patch release 7.2.2 which fixes some security holes.
- Essential diff between 7.2.1 and 7.2.2 is included.
* Tue Aug 20 2002 mmj@suse.de
- Correct PreReq
* Mon Aug 19 2002 kukuk@suse.de
- Fix requires egenix-mx-base -> python-egenix-mx-base
* Thu Aug 15 2002 ro@suse.de
- don't chmod 644 to directories
* Wed Aug 14 2002 ro@suse.de
- added "missingok" to logrotate config
* Fri Aug  9 2002 max@suse.de
- Removed sysconfig from neededforbuild.
- Using x-devel-packages instead of xf86.
* Thu Aug  8 2002 max@suse.de
- Removed support for older SuSE versions.
- Moved log file cration from %%post to rcpostgresql.
- Changed group for /etc/logrotate.d/postgresql.
* Mon Aug  5 2002 max@suse.de
- Enabled the plperl subpackage.
* Tue Jul 30 2002 max@suse.de
- Fixed regression tests for ppc64.
* Fri Jul 12 2002 max@suse.de
- Re-enabled the regression tests.
- Running test suite as nobody.
- Adjusted ppc and lib64 patch to the scheme of the other
  platform patches.
- Better test-and-set assembler code for s390 and s390x.
- Creating postgres user and group during RPM installation.
* Tue Jun 18 2002 meissner@suse.de
- use the powerpc assembler tas() for ppc64 too with adjusted assembler
  names.
* Fri May 24 2002 max@suse.de
- New minor release: 7.2.1
- Temporaryly disabled the regression tests due to changes to
  mktime() that caused some tests to fail.
* Fri May 24 2002 ke@suse.de
- postgresql-python requires egenix-mx-base (DateTime) [# 14745].
* Wed May 22 2002 meissner@suse.de
- %%_lib fixes for lib64 architectures. Now fails at the same point as i386.
* Wed Mar 20 2002 max@suse.de
- Changed postgresql package to PreReq postgresql-libs instead of
  postgresql-lib which is obsolete.
* Fri Mar  8 2002 poeml@suse.de
- add missing / before %%_lib, fixing the preinstall script of -libs
  subpackage
* Wed Mar  6 2002 max@suse.de
- Fixed test-and-set assembler code for s390x.
- Made finding of perl and python site-paths more portable.
- Fixed detection of SuSE dist for older releases.
- Some more %%_libdir corrections.
- Using -fPIC for building shared libs on all architectures.
- Leaving out tk and python subpackages if tk and python
  are not OK.
* Mon Mar  4 2002 max@suse.de
- Fixed creation of pkgIndex.tcl
- Removed some python stuff from the spec file that is now part of
  PostgreSQL's build system.
- Removed unneeded executable permissions from a couple of files.
* Wed Feb 13 2002 max@suse.de
- added support for logrotate
- changed sysconfig stuff and init script to run on both
  schemes (<=7.3 and >=8.0).
* Tue Feb  5 2002 max@suse.de
- Updated to 7.2 final.
- See the file /usr/share/doc/packages/postgresql/HISTORY
  for changes and incompatibilities since version 7.1.x.
- Adapted the init script to match the new versions of killproc
  and PostgreSQL.
* Mon Jan 28 2002 max@suse.de
- Updated to 7.2rc2
- Removed temporary header fix.
- Added a patch for autoconf-2.52 (disabled by derfault).
- Added english version of README.SuSE
* Tue Jan 22 2002 max@suse.de
- removed os.h. It's not needed anymore.
- fixed locations of internal header files (temporary).
- postgresql-python now obsoletes pygresql.
- updated the files lists.
* Mon Jan 21 2002 max@suse.de
- New version 7.2b5
* Tue Dec 18 2001 max@suse.de
- Changed spec file to make use of %%{_libdir} where appropriate.
* Mon Dec 17 2001 max@suse.de
- Removed the START_POSTGRES variable from the fillup template
  and changed init script, and spec file to the new scheme.
- Moved the remaining variables from /etc/rc.config to
  /etc/sysconfig/postgresql.
* Wed Sep 12 2001 max@suse.de
- New version (patch release): 7.1.3
  The ChangeLog says:
  - Remove unused WAL segements of large transactions (Tom)
  - Multiaction rule fix (Tom)
  - Pl/pgSQL memory allocation fix (Jan)
  - VACUUM buffer fix (Tom)
  - Regression test fixes (Tom)
  - pg_dump fixes for GRANT/REVOKE/comments on views,
    user-defined types (Tom)
  - Fix subselects with DISTINCT ON or LIMIT (Tom)
  - BEOS fix
  - Disable COPY TO/FROM a view (Tom)
  - Cygwin build (Jason Tishler)
- Fixed bug in init script.
  It needed a file that comes only with postgresql-devel
- Better Patch for PgTcl. It now sets the client encoding to
  UNICODE (PostgreSQL's name for UTF-8) for Tcl versions >= 8.1
  instead of using Tcl's conversion functions to get the correct
  string representation.
- Added README.SuSE (only german, so far)
- Some minor typo fixes in the spec file.
* Mon Aug 27 2001 utuerk@suse.de
- removed postgresql.conf (now provided by susehelp)
* Mon Jul 23 2001 max@suse.de
- Fixed %%pre and %%post scripts for YaST.
* Thu Jul 19 2001 max@suse.de
- fixed regression tests for SPARC32.
- fixed init script to warn about incompatible data files.
- added patch for Pgtcl to use UTF8 for internal string
  representation if compiled with Tcl >= 8.1 .
- added pkgIndex.tcl to allow dynamic loading of Pgtcl using
  Tcl's package mechanism.
* Wed Jul 11 2001 max@suse.de
- fixed regression test to succeed on PPC with glibc-2.2.3 .
* Tue Jul 10 2001 max@suse.de
- new version: 7.1.2
- packages again based on the official PostgreSQL RPMs.
- architecture patches are no longer needed.
- running the regression tests as part of the build process to
  ensure that only correctly built binaries get packed in.
- new subpackages: contrib, doc
- renamed subpackage lib to libs to conform to the official RPMs
- ToDo: (semi)automatic conversion for updates
  from versions prior 7.1.
* Mon May  7 2001 mfabian@suse.de
- bzip2 sources
* Fri Apr 27 2001 max@suse.de
- updated the init script to be more LSB compliant according to
  the current /etc/init.d/skeleton.
* Thu Apr 12 2001 max@suse.de
- fix for deprecated declarations in readline 4.2.
- fixed permissons of some shared objects for the backend.
- recovered timestamps of sources.
* Wed Apr 11 2001 utuerk@suse.de
- added postgresql.conf for susehelp
* Thu Mar 22 2001 ro@suse.de
- added split-aliases as provides
* Wed Mar 21 2001 poeml@suse.de
- 7.0.* does not work on PPC unless compiled with -O0 (7.1 will)
* Wed Mar  7 2001 max@suse.de
- added xshared and xdevel to neededforbuild
  because X is no longer in the default buildsystem.
* Thu Feb 22 2001 ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Wed Jan 24 2001 max@suse.de
- added missing "Provides:" entries to specfile.
* Mon Jan 15 2001 max@suse.de
- dropping the locale environment vars from the init script
  as workarround for a locale related bug in the backend.
  It shows up when the regression test runs on a backend that
  has e.g. LC_CTYPE=de_DE .
* Wed Nov 29 2000 max@suse.de
- new version: 7.0.3
- spec file is based on Lamar Owen's source RPM of
  PostgreSQL-7.0.3 for SuSE Linux 7.0
- renamed the whole package
    postgres -> postgresql
    pg_lib   -> postgresql-lib
    pg_serv  -> postgresql-serv
    pg_devel -> postgresql-devel
    pg_tcl   -> postgresql-tcl
    pg_tk    -> postgresql-tk
    pg_odbc  -> postgresql-odbc
    pg_jdbc  -> postgresql-jdbc
    pg_pyth  -> postgresql-python
    pg_perl  -> postgresql-perl
    pg_test  -> postgresql-test
- renamed some files and scripts from *postgres* to *postgresql*
- moved to the LSB-compliant init scheme
- moved database initialisation from SuSEconfig.postgres
  into the init script
- changed postgresql-python to use Python2.0 instead of 1.5
* Sat Oct 28 2000 kukuk@suse.de
- Add python-devel to need for build
* Mon Oct 23 2000 bk@suse.de
- integrated change from max:
- changed /sbin/init.d/postgres and SuSEconfig.postgres
  to work arround YaST that quotes the value of POSTGRES_DATADIR
  in /etc/rc.config when it gets changed.
* Mon Sep 11 2000 fober@suse.de
- made postgres run&autobuild on s390:
- src/include/port/linux.h, src/include/storage/s_lock.h:
  s390-assembler test-and-set (thanks to Andreas Jaeger)
- src/template/.similar, src/template/linux_s390:
  created linux_s390-Template from linux_ppc.
  TODO: is -O0 really needed?
- regression test passes (with minor deviations in floating point
  arithmetics)
  TODO: the regression test will not run out of the box as we install
  it.  this is the missing piece, either in postgres-source or in
  .spec
  [#] missing files
  cd $BUILD_ROOT/usr/src/packages/BUILD/postgresql-7.0.2/;
  cp -avP src/backend/*.h $RPM_BUILD_ROOT/usr/lib/pgsql
  cp -avP src/include $RPM_BUILD_ROOT/usr/lib/pgsql
  cp -avP src/Makefile.port $RPM_BUILD_ROOT/usr/lib/pgsql
  cp -avP src/Makefile.global $RPM_BUILD_ROOT/usr/lib/pgsql
  [#] directory structure
  cd $RPM_BUILD_ROOT/usr/lib/pgsql
  mkdir src
  mv test src
  ln -s src/test .
* Mon Aug 28 2000 max@suse.de
- changed installation order to fix bug #3802
* Mon Jul  3 2000 max@suse.de
- Disabled fcntl(F_SETLK) on the postmaster socket to work arround
  a kernel bug in Linux <= 2.2.16.
- New subpackage: pg_lib contains the shared libs for C and C++.
* Thu Jun 29 2000 schwab@suse.de
- Fix spinlocks for ia64.
- Reenable ia64 patch on the other architectures.
* Wed Jun 28 2000 max@suse.de
- disabled the ia64 patch when building for other architectures
- database unload+reload on updates works now
- moved some script and config files out of the diff into
  source files of their own.
- template database creation moved from init script into SuSEconfig
- some minor cleanups
* Tue Jun 20 2000 schwab@suse.de
- Add support for ia64.
* Fri Jun  9 2000 max@suse.de
- New version: 7.0.2.
- Re-made the whole package based on the original PostgreSQL RPM.
- There is still a little work needed for clean updates from
  PostgreSQL 6.x to 7.0.x
- Heavy testing needed before SuSE Linux 7.0.
* Sun Apr  9 2000 bk@suse.de
- added suse update config macro
- added automake to list of packages needed for building postgres
* Thu Feb 10 2000 ke@suse.de
- add more source files from the official PostgreSQL package.
- start to apply patches from there.
- start to cleanup the spec file.
- start to resolve bug #1948.
* Wed Feb  9 2000 ke@suse.de
- add group tag.
- ./configure -> %%build.
- New default for rc.config variable START_POSTGRES ("no").
* Fri Dec 10 1999 ke@suse.de
- update: version 6.5.3.
- startup script: use -S to remove the socket.
* Tue Oct 12 1999 ro@suse.de
- added tcld to neededforbuild
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug  2 1999 ke@suse.de
- postgresql init script: remove the socket in /tmp before trying to
  start the postmaster.
* Thu Jul 29 1999 ke@suse.de
- update: version 6.5.1.
* Tue Jul 20 1999 ke@suse.de
- remove MANPATH setting from /etc/postgres.{sh,csh} and from
  /etc/pg_ifa.{sh,csh}.
- provide manpage links at /usr/share/man:
    /usr/lib/pgsql/man/man?/*.?.gz -> /urs/share/man/man?/*.?.pgsql.gz
- now, you'll find all manpage in "pg_ifa".
* Thu Mar 18 1999 ke@suse.de
- compile an install "spi" (on popular demand...).
* Wed Feb 10 1999 ke@suse.de
- security fix: don't create pg_pwd with mode 666 (thanks to mt).
* Mon Feb  1 1999 ke@suse.de
- fix permissions of libs (thanks to mt).
* Fri Jan  8 1999 ke@suse.de
- update: version 6.4.2.
* Tue Dec  1 1998 ke@suse.de
- add /etc/profile.d/{postgres,pg_ifa}.csh (thanks to werner).
- new bootscript (thanks to werner).
* Fri Nov 27 1998 ke@suse.de
- link libpgtcl against libcrypt.
* Thu Nov 12 1998 bs@suse.de
- fixed spec file for new rpm.
* Fri Oct 30 1998 ke@suse.de
- update: version 6.4-BETA4.
* Sun Sep 27 1998 ke@suse.de
- update: version pre6.4 (snapshot 1998-09-27).
- remove pgaccess (it's a separate package now).
- all libraries and binaries are under the separate hierarchy
  /usr/lib/pgsql (on customers' request...).
- provide /etc/profile.d/{postgres,pg_ifa}.sh; .csh files are still
  missing.
* Mon Aug 24 1998 ke@suse.de
- shut down the postmaster before uninstalling.
* Tue Aug 18 1998 ke@suse.de
- add pgaccess' GIFs (HTML documentation).
* Sat Jul 25 1998 ke@suse.de
- Use `-n postgres' to make the `%%post' script available.
* Mon Jul 13 1998 ke@suse.de
- update pgaccess: version 0.88.
* Thu May 28 1998 ke@suse.de
- New package split: rip out the base interfaces (libraries and database
  tools); the new package is called pg_ifa (subpackage).
- update pgaccess: version 0.87.
* Fri May 22 1998 ke@suse.de
- update: version 6.3.2
- package split to ease maintainability and user updates; now, we've the
  following packages:
  postgres : base packages, essential interfaces included (libpq,
  libpq++, libpqtcl and PgAccess).
  pg_datab : initial database (needed only for the first
  installation or in case of major number updates); if
  not installed, the user has to invoke `initdb'
  manually.
  pg_iface : PostgreSQL interfaces (Perl, JDBC, more to come...).
* Thu May  7 1998 fehr@suse.de
- add library -lXp for Motif 2.1
* Wed Feb 11 1998 fehr@suse.de
- added the perl interface
* Wed Dec 10 1997 ro@suse.de
- build static and dynamic version of dbbrowser and mpsql
* Wed Dec  3 1997 ro@suse.de
- fixed /sbin/init.d/postgres (path, db-path, read rc.config)
  moved logfile to /var/log
* Tue Nov 18 1997 bs@suse.de
- skipped man3/abort.3.gz
* Tue Nov  4 1997 fehr@suse.de
- changed to version 6.2.1 of the new postgresSQL
- changed to version 1.5 of mpsql
- changed to version 0.2 of AppGEN
- added version 0.9 if dbbrowser
- prepare package for automatic build
- home Directory of postgrs user must now be /var/lib/postgres
- this Change is a major step since postgres95 it is possible
  that some changes are incompatible with the previos postgres
  versions.
* Mon Jun  9 1997 fehr@suse.de
- make symbolic link in /usr/doc/packages relative
* Sun Jun  1 1997 bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Mon May 12 1997 fehr@suse.de
- added startup-script for /sbin/init.d
- added fillup for /etc/rc.config START_POSTGRES
